<template>
  <q-toolbar class="desktop-hide" style="background: #61cb34; padding-top: 10px; padding-bottom: 10px" >
    <q-btn dense flat round icon="menu" @click="showDrawer" />
    <q-toolbar-title>
      <img style="max-width: 10rem; margin-top: 5px" src="~assets/logo_big.png" @click="goToHome" />
    </q-toolbar-title>
    <q-btn icon="login" flat to="/home" v-if="!token" />
    <q-btn flat round dense v-else >
      <q-avatar>
        <img :src="user.avatar || 'avatar.jpg'">
      </q-avatar>
      <q-menu>
        <profile-nav :user="user" />
      </q-menu>
    </q-btn>
  </q-toolbar>
</template>

<script>
import LocationSelect from "components/Layouts/LocationSelect";
import ProfileNav from "components/ProfileNav";
export default {
  name: 'NavMobile',
  components: {
    LocationSelect,
    ProfileNav
  },
  methods: {
    showDrawer() {
      this.$emit("showDrawer");
    },
    goToHome() {
      return this.$router.push("/");
    }
  },

  computed: {
    token() {
      return localStorage.getItem("token");
    },

    user() {
      return this.$store.state.user.user;
    }
  }
}
</script>
